<toaster-container></toaster-container>
<div class="app flex-row align-items-center">
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-md-8">
        <div class="card-group mb-4">
          <div class="card p-4">
            <div class="card-body">
              <form (submit)="login()" *ngIf="showLogin">
                <h1>Login</h1>
                <p class="text-muted">Sign in to your account</p>
                <div class="input-group mb-3">
                  <div class="input-group-prepend">
                    <span class="input-group-text">
                      <i class="icon-user"></i>
                    </span>
                  </div>
                  <input type="text" class="form-control" name="userId" required="required" [(ngModel)]="username">
                </div>
                <div class="input-group mb-2">
                  <div class="input-group-prepend">
                    <span class="input-group-text">
                      <i class="icon-lock"></i>
                    </span>
                  </div>
                  <input type="password" class="form-control" name="password" required="required" [(ngModel)]="password">
                </div>
                <div class="forgot-pwd" (click)="showLogin = false; showResetUsername = true;">Forgot password?</div>
                <div *ngIf="error" class="alert alert-danger">{{error}}</div>
                <div class="row">
                  <div class="col-6">
                    <button class="btn btn-primary" (click)="login()">
                      <span [class]="labelClass">Login</span>
                      <div [class]="spinner">
                        <i class="fa fa-spinner fa-spin float-right [spinner]" style="font-size:24px"></i>
                      </div>
                    </button>
                  </div>
                </div>
              </form>

              <ngForm #forgotPwd *ngIf="showResetUsername">
                <p class="text-muted">Enter your username</p>
                <div class="input-group mb-3">
                  <div class="input-group-prepend">
                    <span class="input-group-text">
                      <i class="icon-user"></i>
                    </span>
                  </div>
                  <input type="text" class="form-control" name="_username_fgt" required="required" [(ngModel)]="usernameFgt">
                </div>
                <div *ngIf="invalidUsername" class="alert-danger mb-2 p-2">Username does not exist</div>
                <div class="row">
                  <div class="col-6">
                    <button class="btn btn-primary" (click)="sendOtp()">
                      <span *ngIf="!fgtUserLoading">Submit</span>
                      <div *ngIf="fgtUserLoading">
                        <i class="fa fa-spinner fa-spin float-right" style="font-size:24px"></i>
                      </div>
                    </button>
                  </div>
                </div>
              </ngForm>

              <ngForm #confirmOtp *ngIf="showConfirmOtp">
                <p class="otpPromptText">Enter the otp recieved on
                  <span class="phoneNumber">{{otpPhoneNum}}</span>
                </p>
                <div class="input-group mb-3">
                  <div class="input-group-prepend">
                    <span class="input-group-text">
                      <i class="icon-key"></i>
                    </span>
                  </div>
                  <input type="text" class="form-control" name="_otp" required="required" [(ngModel)]="otp">
                </div>
                <div *ngIf="!otpMatches" class="alert-danger mb-2 p-2">OTP does not match</div>
                <div class="row">
                  <div class="col-6">
                    <button class="btn btn-primary" (click)="otpConfirmation()">
                      <span *ngIf="!otpLoading">Submit</span>
                      <div *ngIf="otpLoading">
                        <i class="fa fa-spinner fa-spin float-right" style="font-size:24px"></i>
                      </div>
                    </button>
                  </div>
                </div>
              </ngForm>

              <ngForm #newPasswordForm="ngForm" *ngIf="showNewPassword">
                <p class="otpPromptText">Enter the new password
                </p>
                <div class="input-group mb-3">
                  <div class="input-group-prepend">
                    <span class="input-group-text">
                      <i class="icon-lock"></i>
                    </span>
                  </div>
                  <input type="password" class="form-control" required="required" name="_newPassword" [(ngModel)]="newPassword">
                </div>

                <p class="otpPromptText">Re-Enter the password
                </p>
                <div class="input-group mb-3">
                  <div class="input-group-prepend">
                    <span class="input-group-text">
                      <i class="icon-lock"></i>
                    </span>
                  </div>
                  <input type="password" pattern={{newPassword}} class="form-control" name="_reNewPassword" required="required" [(ngModel)]="ReNewPassword">
                </div>

                <div *ngIf="!passwordMatches" class="alert-danger mb-2 p-2">Password does not match</div>

                <div class="row">
                  <div class="col-6">
                    <button class="btn btn-primary" (click)="resetPassword()">
                      <span *ngIf="!newPwdLoading">Submit</span>
                      <div *ngIf="newPwdLoading">
                        <i class="fa fa-spinner fa-spin float-right" style="font-size:24px"></i>
                      </div>
                    </button>
                  </div>
                </div>
              </ngForm>


            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>